Create a rule
curl --request POST \
--url https://console.wenium.com/api/firewall/groups/{firewallGroup}/rules \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "Inbound",
"action": "ACCEPT",
"protocol": "TCP",
"port": "80",
"address": "0.0.0.0/0"
}
'import requests
url = "https://console.wenium.com/api/firewall/groups/{firewallGroup}/rules"
payload = {
"type": "Inbound",
"action": "ACCEPT",
"protocol": "TCP",
"port": "80",
"address": "0.0.0.0/0"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'Inbound',
action: 'ACCEPT',
protocol: 'TCP',
port: '80',
address: '0.0.0.0/0'
})
};
fetch('https://console.wenium.com/api/firewall/groups/{firewallGroup}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Firewall Rule created and sync triggered.",
"data": {
"id": 1,
"firewall_group_id": 1,
"type": "Inbound",
"action": "ACCEPT",
"protocol": "TCP",
"port": "80",
"address": "0.0.0.0/0",
"created_at": "2026-07-03T00:00:00.000000Z",
"updated_at": "2026-07-03T00:00:00.000000Z"
}
}Firewalls
Create a rule
POST
/
firewall
/
groups
/
{firewallGroup}
/
rules
Create a rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
Inbound, Outbound Example:
"Inbound"
Available options:
ACCEPT, REJECT, DROP Example:
"ACCEPT"
Available options:
TCP, UDP, ICMP, All Example:
"TCP"
Example:
"80"
Example:
"0.0.0.0/0"
